/**********************************************************************
 * sets VDP mode according to SCRMOD (like basic "screen" command)    *
 * Entry  : screen mode                                               *
 * Philips, 20 februari 1986                                          *
 **********************************************************************/

chgmod (mode)                                /*******************************/
                                             /* Call CHGMOD in MAIN ROM     */
int  mode;                                   /* [A ] = screen mode 0..8     */
{                                            /*******************************/
  #asm
    pop   IY              ;keep return adress
    pop   BC              ;screen mode in [C]
    push  BC              ;restore stack
    push  IY              ; --
    ld    A,C             ;set mode in [A]
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,005FH        ;CHGMOD call
    call  001CH           ;perform slot call
    ei
  #endasm
}   
