/**********************************************************************
 * DOS01  Console input                                               *
 * 26 feb 1986                                                        *
 * Parameters    : None                                               *
 * Return        : A (input karakter)                                 *
 * Function      : Inputs a character from the console                *
 *                 checks control-C and does function 00.             *
 *                 checks control-P and begins echoing to the printer *
 *                 checks control-N and stops echoing to the printer  *
 *                 echoes the input character                         *
 * CP/M Comp.    : YES                                                *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos01 ()
{ 
 #asm
   ld      c,001H   ;Console input
   call    5        ;call MSX-Dos
   ld      H,0      ;return character in HL
   ld      L,A
   ei
 #endasm
}


