/**********************************************************************
 * DOS0D  Disk reset                                                  *
 * 26 feb 1986                                                        *
 * Parameters    : None                                               *
 * Return        : none                                               *
 * Function      : Sets default drive to (A:)                         *
 *                 sets transferaddress to 80H                        *
 *                 Flushes out all sectors which have been changed    *
 *                 but have not been written to disk.                 *
 * CP/M Comp.    : YES                                                *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos0D ()
{ 
 #asm
   ld      C,00DH   ;Reset disk
   call    5        ;call MSX-Dos
   ei
 #endasm
}
