/**********************************************************************
 * DOS11  Search first                                                *
 * 26 feb 1986                                                        *
 * Parameters    : DE                                                 *
 * Return        : A                                                  *
 * Function      : Searches for the first occurence of a file         *
 *                 specified by an FCB pointed to by DE               *
 *                 If found                                           *
 *                     the directory entry (32 bytes long) is copied  *
 *                     to the transfer address. Returns 0.            *
 *                 Else                                               *
 *                     Returns 0FFH.                                  *
 *                 Wild card characters are permitted in the name     *
 * CP/M Comp.    : YES                                                *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos11 (fcb)
char *fcb;
{ 
 #asm
   pop     IY       ;save retiurn address
   pop     DE       ;fcb pointer
   push    DE       ;restore stack
   push    IY       ; --
   ld      C,011H   ;Search first
   call    5        ;call MSX-Dos
   ld      H,0      ;setup return code
   ld      L,A      ; --
   ei
 #endasm
}
