/**********************************************************************
 * DOS15  Sequential write                                            *
 * 26 feb 1986                                                        *
 * Parameters    : DE                                                 *
 * Return        : A                                                  *
 * Function      : Write a record of a file specified by the FCB      *
 *                 pointed to by DE and transfers the record from the *
 *                 transfer address to the file.                      *
 * CP/M Comp.    : YES                                                *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos15 (fcb)
char *fcb;
{ 
 #asm
   pop     IY       ;save return address
   pop     DE       ;pointer to fcb
   push    DE       ;restore stack
   push    IY       ; --
   ld      C,015H   ;Sequential write
   call    5        ;call MSX-Dos
   ld      H,0      ;setup return code
   ld      L,A      ; --
   ei
 #endasm
}
