/**********************************************************************
 * DOS16  create a file                                               *
 * 26 feb 1986                                                        *
 * Parameters    : DE                                                 *
 * Return        : A                                                  *
 * Function      : create a file specified by an FCB pointed to by DE *
 *                 if the specified file already exists, it is over-  *
 *                 written.     
 *                 If successful Return 0, else Return 0FFH.          *
 * CP/M Comp.    : YES                                                *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos16 (fcb)
char *fcb;
{ 
 #asm
   pop     IY       ;save return address
   pop     DE       ;pointer to fcb
   push    DE       ;restore stack
   push    IY       ; --
   ld      C,016H   ;Rename a file
   call    5        ;call MSX-Dos
   ld      H,0      ;setup return code
   ld      L,A      ; --
   ei
 #endasm
}
