/**********************************************************************
 * DOS23  Get file size                                               *
 * 26 feb 1986                                                        *
 * Parameters    : DE                                                 *
 * Return        : A                                                  *
 * Function      : Calculates the file size (a multiple of 128) of    *
 *                 the file specified by the FCB pointed to by DE     *
 * CP/M Comp.    : YES                                                *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos23 (fcb)
char *fcb;
{ 
 #asm
   pop     IY       ;save return address
   pop     DE       ;pointer to fcb
   push    DE       ;restore stack
   push    IY       ; --
   ld      C,023H   ;Sequential write
   call    5        ;call MSX-Dos
   ld      H,0      ;setup return code
   ld      L,A      ; --
   ei
 #endasm
}
