/**********************************************************************
 * DOS24  Set Random record                                           *
 * 26 feb 1986                                                        *
 * Parameters    : DE                                                 *
 * Return        : None                                               *
 * Function      : Calculates the current record position from the    *
 *                 current record field of the given FCB.             *
 * CP/M Comp.    : YES                                                *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos24 (fcb)
char *fcb;
{ 
 #asm
   pop     IY       ;save return address
   pop     DE       ;pointer to fcb
   push    DE       ;restore stack
   push    IY       ; --
   ld      C,024H   ;Set random record
   call    5        ;call MSX-Dos
   ei
 #endasm
}
