/**********************************************************************
 * Clears to end of line                                              *
 * Entry  : column number, line number                                *  
 *          Cursor should remain unchanged                            *
 * Philips, 20 februari                                               *
 **********************************************************************/

eol(column,line)                             /*******************************/
                                             /* Call EOL    in MAIN ROM     */
int  column;                                 /* [H ] = column number        */
int  line;                                   /* [L ] = line number          */
{                                            /*******************************/
  #asm
    pop   IY              ;keep return adress
    pop   HL              ;line number in L
    pop   DE              ;column number in E
    push  DE              ;restore stack
    push  HL              ; -- 
    push  IY              ; --
    ld    H,E             ;column number in H
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,0168H        ;EOL    call
    call  001CH           ;perform slot call
    ei
  #endasm
}  
