/**********************************************************************
 * Moves block of memory from memory to VRAM                          *
 * Entry  : memory adress (source)                                    *  
 *          VRAM adress (destination)                                 *
 *          length                                                    *
 * Philips, 20 februari                                               *
 **********************************************************************/

ldirvm  (maddress,vaddress,length)           /*******************************/
                                             /* Call LDIRVM in MAIN ROM     */
int  maddress;                               /* [HL] = memory address       */
int  vaddress;                               /* [DE] = VRAM address         */
int  length;                                 /* [BC] = length               */
{                                            /*******************************/
  #asm
    pop   IY              ;keep return adress
    pop   BC              ;length
    pop   DE              ;VRAM address
    pop   HL              ;memory address
    push  DE              ;restore stack
    push  HL              ; -- 
    push  BC              ; --
    push  IY              ; --
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,005CH        ;LDIRVM call
    call  001CH           ;perform slot call
    ei
  #endasm
}
