/**********************************************************************
 * Reads VRAM  (see also NRDVRM)                                      *
 * Entry  : VRAM adress                                               *  
 * Returns: data(byte)                                                *
 * Philips, 20 februari                                               *
 **********************************************************************/

rdvrm(vramadress)                            /*******************************/
                                             /* Call RDVRM  in MAIN ROM     */
int  vramadress;                             /* [HL] = vramadress.          */
                                             /* return value in HL          */
{                                            /*******************************/
  #asm
    pop   IY              ;keep return adress
    pop   HL              ;vramadress in HL
    push  HL              ;restore stack
    push  IY              ; --
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,004AH        ;RDVRM  call
    call  001CH           ;perform slot call
    ld    H,0             ;clear H
    ld    L,A             ;load data in L
    ei
  #endasm
}  
