/**********************************************************************
 * Writes data to VDP register                                        *
 * Entry  : registernr. (0 through 23, 32 through 46)                 *  
 *          data (8 bits)                                             *
 * Philips, 20 februari                                               *
 **********************************************************************/

wrtvdp(regnr,data)                           /*******************************/
                                             /* Call WRTVDP in MAIN ROM     */
int  regnr;                                  /* [C ] = registernr.          */
int  data;                                   /* [B ] = data                 */
{                                            /*******************************/
  #asm
    pop   IY              ;keep return adress
    pop   HL              ;load data in L
    pop   BC              ;load registernr in C
    push  BC              ;restore stack
    push  HL              ; --
    push  IY              ; --
    ld    B,L             ;load data in B
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,0047H        ;WRTVDP call
    call  001CH           ;perform slot call
    ei
  #endasm
}  

