/**********************************************************************
 * Returns adress of sprite pattern table                             *
 * Entry  : Sprite ID                                                 *  
 * Returns: Adress                                                    *
 * Philips, 20 februari                                               *
 **********************************************************************/

calpat(sprite_id)                            /*******************************/
                                             /* Call CALPAT in MAIN ROM     */
int  sprite_id;                              /* [A ] = sprite ID            */
                                             /*******************************/
{                                           
  #asm
    pop   IY              ;keep return adress
    pop   BC              ;sprite ID in C
    push  BC              ;restore stack
    push  IY              ; --
    ld    A,C             ;sprite ID in A
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,0084H        ;CALPAT call
    call  001CH           ;perform slot call
    ei
  #endasm
}  
