/**********************************************************************
 * Changes color of screen                                            *
 * Entry   : forground color, background color, border color          *
 * NB : Forground color in  FORCLR  (F3E9)                            *
 *      Background color in BAKCLR  (F3EA)                            *
 *      Border color in     BDRCLR  (F3EB)                            *
 * Philips, 20 februari 1986                                          *
 **********************************************************************/

chgclr(forclr,bckclr,brdclr)                 /*******************************/
                                             /* Call CHGCLR in MAIN ROM     */
int forclr,                                  /*******************************/
    bckclr,
    brdclr;

{    
  #asm
    pop   IX              ;get return adress
    pop   DE              ;load border color in E
    ld    A,E             ;load border color in A
    ld    (0F3EBH),A      ;store border color
    pop   DE              ;load background color in E
    ld    A,E             ;load background color in A
    ld    (0F3EAH),A      ;store background color
    pop   DE              ;load forground color in E
    ld    A,E             ;load forground color in A
    ld    (0F3E9H),A      ;store forground color
    push  DE              ;restore stack
    push  DE              ; --
    push  DE              ; --
    push  IX              ; __
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,0062H        ;CHGCLR call
    call  001CH           ;perform slot call
    ei
  #endasm
}  
