/**********************************************************************
 * DOS06  Direcy console I/O                                          *
 * 26 feb 1986                                                        *
 * Parameters    : E                                                  *
 * Return        : A                                                  *
 * Function      : If E is 0FFH                                       *
 *                    if no input from the console                    *
 *                          return 0                                  *
 *                    else  returns the code                          *
 *                          No check.                                 *
 *                          No echo.                                  *
 *                 Else                                               *
 *                    Outputs character in E to the console           *
 * CP/M Comp.    : YES                                                *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos06 (character)
char character;
{ 
 #asm
   pop     IY       ;save return adres
   pop     DE       ;get character in E
   push    DE       ;restore stack
   push    IY       ; --
   ld      c,006H   ;Direct console I/O
   call    5        ;call MSX-Dos
   ld      H,0      ;return code in HL
   ld      L,A
   ei
 #endasm
}
