/**********************************************************************
 * DOS0A  Buffered input                                              *
 * 26 feb 1986                                                        *
 * Parameters    : DE (string pointer)                                *
 * Return        : none                                               *
 * Function      : Inputs the string from console beginning at [DE+2] *
 *                 until a CR code is input.                          *
 *                 [DE+1] is set to the length of input string, not   *
 *                 including the terminator                           *
 *                 the maximum length of the string is passed via [DE]*
 * CP/M Comp.    : YES                                                *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos0A (buff_input)
char *buff_input;
{ 
 #asm
   pop     IY       ;save return adress
   pop     DE       ;pointer to input
   push    DE       ;restore stack
   push    IY
   ld      C,00AH   ;String output
   call    5        ;call MSX-Dos
   ei
 #endasm
}
