/**********************************************************************
 * DOS26  Random block write                                          *
 * 26 feb 1986                                                        *
 * Parameters    : DE,HL                                              *
 * Return        : A                                                  *
 * Function      : Writes records to a file specified by the FCB      *
 *                 pointed to by DE from the transfer address. The nr *
 *                 of records to write is passed via HL               *
 * CP/M Comp.    : NO                                                 *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos26 (fcb,number)
char *fcb;
int  number;
{ 
 #asm
   pop     IY       ;save return address
   pop     HL       ;number of record's
   pop     DE       ;pointer to fcb
   push    DE       ;restore stack
   push    HL       ; --
   push    IY       ; --
   ld      C,026H   ;Random block write
   call    5        ;call MSX-Dos
   ld      H,0      ;return waarde
   ld      L,A      ; --
   ei
 #endasm
}
