/**********************************************************************
 * DOS28  Random write with zero fill                                 *
 * 26 feb 1986                                                        *
 * Parameters    : DE                                                 *
 * Return        : A                                                  *
 * Function      : Writes records to a file specified by the FCB      *
 *                 pointed to by DE from the transfer address.        *
 * CP/M Comp.    : NO                                                 *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos28 (fcb)
char *fcb;
{ 
 #asm
   pop     IY       ;save return address
   pop     DE       ;pointer to fcb
   push    DE       ;restore stack
   push    IY       ; --
   ld      C,028H   ;Random write with zero fill
   call    5        ;call MSX-Dos
   ld      H,0      ;return waarde
   ld      L,A      ; --
   ei
 #endasm
}
