/**********************************************************************
 * DOS2F  Absolute disk read                                          *
 * 26 feb 1986                                                        *
 * Parameters    : H,L,DE                                             *
 * Return        : none                                               *
 * Function      : Read H sectors from logical sector number DE on    *
 *                 the drive specified by L to the transfer address   *
 * CP/M Comp.    : NO                                                 *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos2F (drive,sector,number)
int drive,sector,number;
{ dos2F0 (number*256+drive,sector);
}

dos2F0 (da,ts)
int da,ts;
{ 
 #asm
   pop     IY       ;hold return address
   pop     DE       ;Sector nr
   pop     HL       ;aantal + drivenr
   push    HL       ;restore stack
   push    DE       ; --
   push    IY       ; --
   ld      c,02FH   ;funktie 2F read sector on disk
   call    5        ;call MSX-Dos
   ei
  #endasm
}
