/**********************************************************************
 * DOS30  Absolute disk write                                         *
 * 26 feb 1986                                                        *
 * Parameters    : H,L,DE                                             *
 * Return        : none                                               *
 * Function      : Writes H sectors from logical sector number DE on  *
 *                 the drive specified by L from the transfer address *
 * CP/M Comp.    : NO                                                 *
 **********************************************************************/

#include  <stdio.h>
#include  <define.h>



dos30 (drive,sector,number)
int drive,sector,number;
{ dos300 (number*256+drive,sector);
}

dos300 (da,ts)
int da,ts;
{ 
 #asm
   pop     IY       ;hold return address
   pop     DE       ;Sector nr
   pop     HL       ;aantal + drivenr
   push    HL       ;restore stack
   push    DE       ; --
   push    IY       ; --
   ld      c,030H   ;absolute disk write
   call    5        ;call MSX-Dos
   ei
  #endasm
}
