/**********************************************************************
 * Fill VRAM with specified data (see also BIGFIL)                    *
 * Entry     : VRAM adress                                            *
 *             length                                                 *
 *             data                                                   *
 * Philips, 20 feb 1986                                               *
 **********************************************************************/

filvrm  (address,length,data)                /*******************************/
                                             /* Call FILVRM in MAIN ROM     */
int  address;                                /* [HL] = address              */
int  length;                                 /* [BC] = length               */
char data;                                   /* [A]  = data                 */
{                                            /*******************************/
  #asm
    pop   IY              ;keep return adres
    pop   DE              ;character (data) in E
    pop   BC              ;length
    pop   HL              ;start video ram adress
    push  HL              ;restore stack
    push  BC              ; -- 
    push  DE              ; --
    push  IY              ; --
    ld    A,E             ;load character in A
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,0056H        ;FILVRM call
    call  001CH           ;perform slot call
    ei
  #endasm
}  
