/**********************************************************************
 * Returns current sprite size                                        *
 * Entry  : none                                                      *  
 * Returns: Sprite size (number of bytes)                             *
 * Philips, 20 februari                                               *
 **********************************************************************/

gspsiz()                                     /*******************************/
                                             /* Call GSPSIZ in MAIN ROM     */
{                                            /*******************************/
  #asm
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,008AH        ;GSPSIZ call
    call  001CH           ;perform slot call
    ld    H,0             ;return waarde in HL
    ld    L,A    
    ei
  #endasm
}   
