/**********************************************************************
 * Moves block of memory from VRAM to memory                          *
 * Entry     : VRAM adress (source)                                   *
 *             memory adress (destination)                            *
 *             length                                                 *
 * Philips, 20 feb 1986                                               *
 **********************************************************************/

ldirmv  (vaddress,maddress,length)           /*******************************/
                                             /* Call LDIRMV in MAIN ROM     */
int  maddress;                               /* [HL] = VRAM address         */
int  vaddress;                               /* [DE] = memory adress        */
int  length;                                 /* [BC] = length               */
{                                            /*******************************/
  #asm
    pop   IY              ;keep return adress
    pop   BC              ;length
    pop   DE              ;Memory address
    pop   HL              ;VRAM address
    push  HL              ;restore stack
    push  DE              ; -- 
    push  BC              ; --
    push  IY              ; --
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,0059H        ;LDIRMV call
    call  001CH           ;perform slot call
    ei
  #endasm
}   
