/**********************************************************************
 * Checks line printer status                                         *
 * Entry     : none                                                   *
 * Returns   : 255 and Z-flag reset if printer ready                  *
 *             0 and Z-flag reset if printer not ready                *
 * Philips, 20 feb 1986                                               *
 **********************************************************************/

lptstt()                                     /*******************************/
                                             /* Call LPTSTT in MAIN ROM     */
{                                            /*******************************/
  #asm
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,00A8H        ;LPTSTT call 
    call  001CH           ;perform slot call
    ld    H,0             ;load return value in HL
    ld    L,A
    ei
  #endasm
}  
