/**********************************************************************
 * Locates cursor at specified position                               *
 * Entry  : column,row                                                *  
 * Philips, 20 februari                                               *
 **********************************************************************/

posit (column,row)                           /*******************************/
                                             /* Call POSIT  in MAIN ROM     */
int  column;                                 /* [H ] = column               */
int  row;                                    /* [L ] = row                  */
{                                            /*******************************/
  #asm
    pop   IY              ;keep return adress
    pop   HL	          ;load row in L
    pop   DE              ;load column in E
    push  DE              ;restore stack
    push  HL              ; --
    push  IY              ; --
    ld    H,E             ;load column in H
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,00C6H        ;POSIT call 
    call  001CH           ;perform slot call
    ei
  #endasm
}  
