/**********************************************************************
 * Reads data from PSG register                                       *
 * Entry  : register number                                           *  
 * Returns: data                                                      *  
 * Philips, 20 februari                                               *
 **********************************************************************/


rdpsg(number)                                /*******************************/
                                             /* Call RDPSG  in MAIN ROM     */
int  number;                                 /* [A ] = register number      */
{                                            /*******************************/
  #asm
    pop   IY              ;keep return adress
    pop   BC              ;get register number in C
    push  BC              ;restore stack
    push  IY              ; --
    ld    A,C             ;load register number in A
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,0096H        ;RDPSG  call
    call  001CH           ;perform slot call
    ld    H,0             ;load return value in HL
    ld    L,A  
    ei
  #endasm
}  
