/**********************************************************************
 * Writes data to PSG register                                        *
 * Entry  : register number, data                                     *  
 * Philips, 20 februari                                               *
 **********************************************************************/

wrtpsg(number,data)                          /*******************************/
                                             /* Call WRTPSG in MAIN ROM     */
int  number;                                 /* [A ] = register number      */
int  data;                                   /* [E ] = data                 */
{                                            /*******************************/
  #asm
    pop   IY              ;keep return adress
    pop   DE              ;get data in E
    pop   BC              ;get register number in C
    push  BC              ;restore stack
    push  DE              ; -- 
    push  IY              ; --
    ld    A,C             ;load register number in A
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,0093H        ;WRTPSG call
    call  001CH           ;perform slot call
    ei
  #endasm
}  
