/**********************************************************************
 * Writes to VRAM   (see also NWRVRM)                                 *
 * Entry  : VRAM adress                                               *  
 *          data(byte)                                                *
 * Philips, 20 februari                                               *
 **********************************************************************/

wrtvrm(vramadress,data)                      /*******************************/
                                             /* Call WRTVRM in MAIN ROM     */
int vramadress;                              /* [HL] = vramadress.          */
int data;                                    /* [A ] = data                 */
{                                            /*******************************/
  #asm
    pop   IY              ;keep return adress
    pop   BC              ;data in C         
    pop   HL              ;vramadress in HL
    push  BC              ;restore stack
    push  HL              ; --
    push  IY              ; --
    ld    A,C             ;load data in A
    ld    IY,(0FCC1H)     ;Main ROM adres
    ld    IX,004DH        ;WRTVRM call
    call  001CH           ;perform slot call
    ei
  #endasm
}  
